add_rules("mode.debug", "mode.release")
set_languages("c++17")
add_includedirs(os.scriptdir())
target("tss")
	set_kind("binary")
	add_files("*.cpp")
	add_deps("ofen")
	add_deps("trans_util")
	add_deps("trans_net")
	
	if is_plat("mingw") then
		add_links("ws2_32", "wsock32")
	end